.TH httprobe 1
.SH NAME
httprobe \- Tool to find working http and https servers from a domains list
.SH SYNOPSIS
.TP
httprobe accepts line-delimited domains on `stdin`:
.TP
cat domains-list.txt | httprobe [-c int] [-method string] [-p value] [-prefer-https] [-s] [-t int]
.SH DESCRIPTION
.PP
httprobe takes a list of domains and probe for working http and https servers.
.SH OPTIONS
.TP
.B \fB\-c\fR int
.IP
set the concurrency level (split equally between HTTPS and HTTP requests) (default 20)
.TP
.B \fB\-method\fR string
.IP
HTTP method to use (default "GET")
.TP
.B \fB\-p\fR value
.IP
add additional probe (proto:port)
.TP
.B \fB\-prefer\-https\fR
.IP
only try plain HTTP if HTTPS fails
.TP
.B \fB\-s\fR
skip the default probes (http:80 and https:443)
.TP
.B \fB\-t\fR int
.IP
timeout (milliseconds) (default 10000)
.SH EXAMPLES
cat recon/example/domains.txt | httprobe
cat domains.txt | httprobe -s -p https:8443
.SH "SEE ALSO"
.TP
httprobe \-\-help
.TP
/\/usr/\/share/\/doc/\/httprobe/\/README.md
